@charset "UTF-8";


/* --- ANFANG: KONTAKT - BROWSER-DEFAULT ÜBERSCHREIBEN --- */

:-moz-placeholder {
    color: #000000;
    opacity: 1;
}

::-moz-placeholder {
    color: #000000;
    opacity: 1;
}

:-ms-input-placeholder {
    color: #000000;
}

::-webkit-input-placeholder {
    color: #000000;
}

fieldset {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: transparent;
}

input[type="text"], input[type="email"], input[type="tel"], textarea {
    display: block;
    position: relative;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    font-weight: normal;
    color: #000000;
}

input[type="submit"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    font-weight: normal;
}

input:focus,
textarea:focus {
    color: #000000;
    outline: none;
}

button:focus {
    color: #FFFFFF;
    outline: none;
}

select:-moz-focusring {
    color: transparent;
    text-shadow: 0 0 0 #000000;
}

label {
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-touch-callout: none;
}

/* --- ENDE: KONTAKT - BROWSER-DEFAULT ÜBERSCHREIBEN --- */

/* --- ANFANG: FORMULAR-STYLING --- */

#kontakt-formular #adresse-wrapper,
#kontakt-formular #adresse-wrapper label,
#kontakt-formular #adresse-wrapper input {
    display: none;
}

#kontakt-formular label.required:after {
    position: absolute;
    content: "*";
    font-size: 1.6rem;
}

#kontakt-formular input[type="radio"] {
    display: none;
}

#kontakt-formular input[type="radio"] + label:before {
    width: 30px;
    height: 30px;
    top: 10px;
    left: 0;
    margin-right: 5px;
    position: relative;
    content: url("../img/radio-button.svg");
    display: inline-block;
}

#kontakt-formular input[type="radio"]:checked + label:before {
    width: 30px;
    height: 30px;
    top: 10px;
    left: 0;
    margin-right: 5px;
    position: relative;
    content: url("../img/radio-button-checked.svg");
    display: inline-block;
}

#kontakt-formular label {
    font-family: "Raleway Light", "SansSerif", sans-serif;
    font-size: 0.9rem;
}

#kontakt-formular input[type="text"],
#kontakt-formular input[type="email"],
#kontakt-formular input[type="tel"] {
    background: transparent;
    font-family: "Raleway Light", "SansSerif", sans-serif;
    font-size: 0.9rem;
    padding-left: 0.6rem;
    padding-right: 0.6rem;
    border: 1px solid #000000;
    width: 85vw;
    height: 2.8rem;
    margin-top: 0.3rem;
    margin-bottom: 1.2rem;
}

#kontakt-formular textarea {
    background: transparent;
    font-family: "Raleway Light", "SansSerif", sans-serif;
    font-size: 0.9rem;
    padding-left: 0.6rem;
    padding-right: 0.6rem;
    padding-top: 0.6rem;
    border: 1px solid #000000;
    margin-top: 0.3rem;
    margin-bottom: 1rem;
    width: 85vw;
    height: 10rem;
}

#kontakt-formular input#url-input-field {
    font-family: "Raleway Light", "SansSerif", sans-serif;
    font-size: 0.9rem;
    padding-left: 0.6rem;
    padding-right: 0.6rem;
    width: 18rem;
    height: 2.8rem;
    margin-top: 0.3rem;
    margin-bottom: 1.2rem;
}

#kontakt-formular .disabled input#url-input-field {
    background: transparent;
    border: none;
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

#kontakt-formular .enabled input#url-input-field {
    background: transparent;
    border: none;
    border-bottom: 1px solid #000000;
}

#kontakt-formular .disabled label {
    color: rgba(0, 0, 0, 0.3);
}

#kontakt-formular .enabled label {
    color: #000000;
}

#kontakt-formular #kontakt-anrede .anrede-wrapper {
    margin-top: 0.3rem;
    margin-bottom: 1.8rem;
}

#kontakt-formular #website-vorhanden .auswahl-wrapper {
    display: grid;
    grid-template-columns: max-content max-content;
    margin-top: 0.3rem;
}

#kontakt-formular #website-nein + label {
    margin-left: 2rem;
}

#kontakt-formular #website-vorhanden #url {
    margin-top: 1.5rem;
    margin-bottom: 0.3rem;
}

#kontakt-formular #website-vorhanden #url-input-field {
    display: block;
}

#kontakt-formular #paket {
    margin-top: 0.3rem;
    margin-bottom: 1.8rem;
}

#kontakt-formular button[type="reset"] {
    display: block;
    text-align: center;
    width: 9rem;
    padding: 0.7rem 0 0.7rem 0;
    margin-bottom: 0.5rem;
    background: #FFFFFF;
    color: #000000;
    border: 1px solid #000000;
    font-family: "Raleway", "Times New Roman", serif;
    font-size: 1rem;
    font-weight: 300;
    cursor: pointer;
    transition: color 0.3s ease-in-out, border 0.3s ease-in-out;
}

#kontakt-formular button[type="reset"]:hover {
    color: #FF030B;
    border: 1px solid #FF030B;
}

#kontakt-formular button[type="submit"] {
    display: block;
    text-align: center;
    width: 9rem;
    padding: 0.7rem 0 0.7rem 0;
    background: #000000;
    color: #FFFFFF;
    border: 1px solid #000000;
    font-family: "Raleway", "Times New Roman", serif;
    font-size: 1rem;
    font-weight: 300;
    cursor: pointer;
    transition: color 0.3s ease-in-out, background 0.3s ease-in-out, border 0.3s ease-in-out;
}

#kontakt-formular button[type="submit"]:hover {
    background: #FF030B;
    color: #FFFFFF;
    border: 1px solid #FF030B;
}

@media (min-width: 353px) {
    #kontakt-formular button[type="reset"] {
        display: inline-block;
        margin-right: 2.5vw;
        margin-bottom: 0;
    }

    #kontakt-formular button[type="submit"] {
        display: inline-block;
    }
}

@media (min-width: 400px) {

    #kontakt-formular #kontakt-anrede .anrede-wrapper {
        display: grid;
        grid-template-columns: max-content max-content max-content;
    }

    #kontakt-formular #anrede-mann + label,
    #kontakt-formular #anrede-neutral + label {
        margin-left: 1.1rem;
    }
}

@media (min-width: 550px) {

    #kontakt-formular input[type="text"],
    #kontakt-formular input[type="email"],
    #kontakt-formular input[type="tel"] {
        width: 41vw;
    }

    #kontakt-formular textarea {
        width: 85vw;
        margin-bottom: 1.1rem;
    }

    #kontakt-formulardaten-wrapper {
        width: 85vw;
        display: grid;
        grid-template-columns: 41vw 41vw;
        grid-column-gap: 3vw;
    }

    #kontakt-formular #paket-label {
        grid-column-start: 1;
        grid-column-end: 3;
    }

    #kontakt-formular #paket {
        grid-column-start: 1;
        grid-column-end: 3;
        width: 85vw;
        display: grid;
        grid-template-columns: 41vw 41vw;
        grid-column-gap: 3vw;
    }

    #kontakt-formular #nachricht {
        grid-column-start: 1;
        grid-column-end: 3;
    }
}

@media (min-width: 700px) {

    #kontakt-formular input[type="text"],
    #kontakt-formular input[type="email"],
    #kontakt-formular input[type="tel"] {
        width: 18rem;
    }

    #kontakt-formular textarea {
        width: 37rem;
    }

    #kontakt-formulardaten-wrapper {
        width: 37rem;
        grid-template-columns: 18rem 18rem;
        grid-column-gap: 1rem;
    }

    #kontakt-formular #website-vorhanden {
        width: 37rem;
        display: grid;
        grid-template-columns: 18rem 18rem;
        grid-column-gap: 1rem;
    }

    #kontakt-formular #website-vorhanden #website {
        grid-column: 1;
    }

    #kontakt-formular #website-vorhanden #url {
        grid-column: 2;
    }

    #kontakt-formular #paket {
        width: 37rem;
        grid-template-columns: 18rem 18rem;
        grid-column-gap: 1rem;
    }

    #kontakt-formular button[type="reset"] {
        margin-right: 0.8rem;
    }
}

/* --- ENDE: FORMULAR-STYLING --- */
